%define        pkgver %(echo %version | sed "s|[a-z]||")
%define        gccver %(gcc -dumpversion)
Name:          libtool
Version:       2.4.5
Release:       1mamba
Summary:       The GNU libtool, which simplifies the use of shared libraries
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/libtool/libtool.html
Source:        http://ftp.gnu.org/gnu/libtool/%{name}-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: ldconfig
BuildRequires: gcc >= 4.9.2
Requires(post):%{__install_info}
Requires:      ldconfig >= 2.3.4
Requires:      gcc = %{gccver}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The libtool package contains the GNU libtool, a set of shell scripts which automatically configure UNIX and UNIX-like architectures to generically build shared libraries.
Libtool provides a consistent, portable interface which simplifies the process of using shared libraries.

If you are developing programs which will use shared libraries, you should install libtool.

%package -n libltdl
Summary:       Shared library files for %{name}
Group:         Development/Libraries

%description -n libltdl
The libtool package contains the GNU libtool, a set of shell scripts which automatically configure UNIX and UNIX-like architectures to generically build shared libraries.
Libtool provides a consistent, portable interface which simplifies the process of using shared libraries.

Shared library files for libtool DLL library from the libtool package.

%package -n libltdl-devel
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      libltdl = %{?epoch:%epoch:}%{version}-%{release}

%description -n libltdl-devel
The libtool package contains the GNU libtool, a set of shell scripts which automatically configure UNIX and UNIX-like architectures to generically build shared libraries.
Libtool provides a consistent, portable interface which simplifies the process of using shared libraries.

This package contains static libraries and header files need for development.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info %{name}.info

%preun
%uninstall_info %{name}.info

%post -n libltdl -p /sbin/ldconfig
%postun -n libltdl -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/libtool
%{_bindir}/libtoolize
%dir %{_datadir}/libtool/
%{_datadir}/libtool/*.c
%{_datadir}/libtool/COPYING.LIB
%{_datadir}/libtool/Makefile.*
%{_datadir}/libtool/README
%{_datadir}/libtool/aclocal.m4
#%{_datadir}/libtool/argz_.h
%{_datadir}/libtool/config-h.in
%{_datadir}/libtool/configure*
%{_datadir}/libtool/ltdl.*
%dir %{_datadir}/libtool/build-aux
%{_datadir}/libtool/build-aux/*
%dir %{_datadir}/libtool/loaders
%{_datadir}/libtool/loaders/*
%{_datadir}/aclocal/libtool.m4
%{_datadir}/aclocal/ltargz.m4
%{_datadir}/aclocal/ltoptions.m4
%{_datadir}/aclocal/ltsugar.m4
%{_datadir}/aclocal/ltversion.m4
%{_datadir}/aclocal/lt~obsolete.m4
%{_infodir}/%{name}.info*
%{_mandir}/man1/libtool.1.gz
%{_mandir}/man1/libtoolize.1.gz
%doc AUTHORS COPYING

%files -n libltdl
%defattr(-,root,root)
%dir %{_datadir}/libtool/libltdl/
%{_datadir}/libtool/libltdl/*
%{_libdir}/libltdl.so.*

%files -n libltdl-devel
%defattr(-,root,root)
%{_includedir}/ltdl.h
%{_includedir}/libltdl
%{_libdir}/libltdl.a
%{_libdir}/libltdl.la
%{_libdir}/libltdl.so
%{_datadir}/aclocal/ltdl.m4
#%doc ChangeLog* NEWS README THANKS TODO doc/PLATFORMS

%changelog
* Tue Jan 27 2015 Automatic Build System <autodist@mambasoft.it> 2.4.5-1mamba
- automatic version update by autodist

* Thu Dec 04 2014 Automatic Build System <autodist@mambasoft.it> 2.4.4-1mamba
- automatic version update by autodist

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-2mamba
- rebuilt with gcc 4.9.2

* Thu Oct 30 2014 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic version update by autodist

* Fri Aug 08 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-10mamba
- rebuilt with gcc 4.9.1

* Sun May 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-9mamba
- rebuilt with gcc 4.9.0

* Sun Oct 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-8mamba
- rebuilt with gcc 4.8.2

* Wed Jun 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-7mamba
- rebuilt with gcc 4.8.1

* Mon Apr 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-6mamba
- rebuilt with gcc 4.8.0

* Wed Sep 26 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-5mamba
- rebuilt with gcc 4.7.2

* Sun Jun 24 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-4mamba
- rebuilt with gcc 4.7.1

* Wed Apr 04 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-3mamba
- rebuilt with gcc 4.7.0

* Wed Nov 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-2mamba
- rebuilt with gcc 4.5.3

* Tue Oct 18 2011 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Mon Dec 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4-2mamba
- rebuilt with gcc 4.5.2

* Wed Sep 22 2010 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic update to 2.4 by autodist

* Sun Aug 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.10-2mamba
- rebuilt with gcc 4.5.1

* Thu Jun 10 2010 Automatic Build System <autodist@mambasoft.it> 2.2.10-1mamba
- automatic update to 2.2.10 by autodist

* Sat Jun 05 2010 Automatic Build System <autodist@mambasoft.it> 2.2.8-1mamba
- automatic update to 2.2.8 by autodist

* Thu Jun 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.6b-2mamba
- rebuilt for gcc 4.5.0 and added strict gcc version requirement

* Tue Nov 17 2009 Automatic Build System <autodist@mambasoft.it> 2.2.6b-1mamba
- automatic update to 2.2.6b by autodist

* Fri May 15 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.6a-3mamba
- rebuilt with gcc 4.4

* Sun Sep 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.6a-2mamba
- update to 2.2.6a
- specfile adapted for automatic build for releases with 'a'-'z' suffix

* Mon Sep 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.6-1mamba
- automatic update to 2.2.6 by autodist

* Tue May 13 2008 Aleph0 <aleph0@openmamba.org> 2.2.4-1mamba
- update to 2.2.4

* Tue Apr 08 2008 Aleph0 <aleph0@openmamba.org> 2.2.2-1mamba
- update to 2.2.2

* Fri Feb 15 2008 Aleph0 <aleph0@openmamba.org> 1.5.26-1mamba
- update to 1.5.26

* Mon Jul 02 2007 Aleph0 <aleph0@openmamba.org> 1.5.24-1mamba
- update to 1.5.24

* Mon May 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.22-2mamba
- rebuilt to match openmamba build environment

* Mon Dec 19 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.22-1qilnx
- update to version 1.5.22 by autospec

* Fri Sep 02 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.20-1qilnx
- update to version 1.5.20 by autospec

* Wed May 18 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.18-1qilnx
- update to version 1.5.18 by autospec

* Tue Apr 26 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.16-1qilnx
- update to version 1.5.16 by autospec
- added %%post and %%preun scripts

* Mon Feb 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.14-1qilnx
- update to version 1.5.14 by autospec

* Thu Aug 26 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.8-1qilnx
- update to version 1.5.8 by autospec

* Wed Jul 28 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.6-1qilnx
- update to 1.5.6 bugfix release

* Tue Apr 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.4-2qilnx
- fixed libltd file list for libltdl.so and ltdl.m4

* Mon Apr 05 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.4-1qilnx
- new version rebuild

* Mon Jan 26 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.2-1qilnx
- package update

* Fri Dec 12 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.5-1qilnx
- updated to version 1.5 (1st stable release of multi-language architecture)

* Tue May 13 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.4.3-4qilnx
- rebuilt because ltmain.sh had wrong version number (don't know why..)

* Mon Apr 22 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.4.3-3qilnx
- removed Prefix variable definition

* Mon Apr 14 2003 Mirko Cortillaro <mirko.cortillaro@qinet.it>
- modified file list and modified infodir

* Mon Apr 07 2003 Mirko Cortillaro <mirko.cortillaro@qinet.it>
- write a spec file for libtool
